## Struct make_default_channel_name

boost::log::sources::basic_channel_logger::make_default_channel_name — Default channel name generator.

## Synopsis

    // In header: <boost/log/sources/channel_feature.hpp>

    // Default channel name generator.

    struct make_default_channel_name {
      // types
      typedef channel_type result_type;

      // public member functions
      result_type operator()() const;
    };

## Description

### `make_default_channel_name` public member functions

1.     result_type operator()() const;